## 2048 0.20210105.1243

=== Makefile ===
CFLAGS += -std=c99

.PHONY: all clean test

all: 2048

test: 2048
	./2048 test

clean:
	rm -f 2048

## 2048 0.20191210.1117

=== debian/changelog ===
2048 (0.20191210.1117-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload to allow testing migration. 

 -- Boyuan Yang <byang@debian.org>  Thu, 12 Mar 2020 15:23:44 -0400

2048 (0.20191210.1117-1) unstable; urgency=medium

  * Initial packaging. (Closes: #767414)

 -- Ricardo Mones <mones@debian.org>  Fri, 07 Feb 2020 00:10:19 +0100

=== debian/control ===
Source: 2048
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Ricardo Mones <mones@debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Homepage: https://github.com/mevdschee/2048.c
Vcs-Git: https://salsa.debian.org/games-team/2048.git
Vcs-Browser: https://salsa.debian.org/games-team/2048

Package: 2048
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Slide and add puzzle game for text mode
 The 2048 game is a mathematics based puzzle game where you have to
 slide tiles in a 4x4 board in any of the four possible directions.
 Touching tiles with the same value are then merged into tiles with the
 added value of the merged ones. You start with a couple of 2-valued
 tiles and new tiles appear randomly after sliding. The target of the
 game is to reach a tile with a value of 2048 before the board is full.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

P2M := pod2man --section 6 --utf8 --center 'Games Manual' --release $(DEB_VERSION_UPSTREAM)
POD := debian/2048.pod
MAN := 2048.6

%:
	dh $@

override_dh_installman:
	test -e $(MAN) || $(P2M) $(POD) $(MAN)
	dh_installman

=== debian/watch ===
# Upstream has not tagged any release yet

## 2048 0.20210105.1243

=== debian/changelog ===
2048 (0.20210105.1243-1) unstable; urgency=medium

  * New upstream version
  * Remove files added upstream: desktop and icon
  * Install upstream desktop and icon files instead of removed

 -- Ricardo Mones <mones@debian.org>  Sat, 09 Jan 2021 17:08:16 +0100

2048 (0.20191210.1117-3) unstable; urgency=medium

  * Bump Standards-Version up to 4.5.1
  * Set Rules-Requires-Root field
  * Raise compat level to 13 and simplify rules
  * Upstream-Contact: include email address
  * Add upstream metadata
  * Add default github stanza to watch file

 -- Ricardo Mones <mones@debian.org>  Mon, 04 Jan 2021 16:17:33 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Ricardo Mones <mones@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13)
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
 Homepage: https://github.com/mevdschee/2048.c
 Vcs-Git: https://salsa.debian.org/games-team/2048.git
 Vcs-Browser: https://salsa.debian.org/games-team/2048

## 2048 0.20220905.1556

=== debian/changelog ===
2048 (0.20220905.1556-1) unstable; urgency=medium

  * New upstream version 0.20220905.1556
  * Set Stantards-Version to 4.6.1, no other changes
  * Update year ranges in copyright notices
  * Patch install target for the required paths

 -- Ricardo Mones <mones@debian.org>  Mon, 19 Sep 2022 10:31:57 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Ricardo Mones <mones@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/mevdschee/2048.c
 Vcs-Git: https://salsa.debian.org/games-team/2048.git
 Vcs-Browser: https://salsa.debian.org/games-team/2048

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

P2M := pod2man --section 6 --utf8 --center 'Games Manual' --release $(DEB_VERSION_UPSTREAM)
POD := debian/2048.pod
MAN := 2048.6
PNG := 2048.png

%:
	dh $@

execute_before_dh_install:
	test -e $(PNG) || cp -p debian_$(PNG) $(PNG)

execute_before_dh_installman:
	test -e $(MAN) || $(P2M) $(POD) $(MAN)

## 2048 0.20221023.1237

=== Makefile ===
CFLAGS += -std=c99
PREFIX ?= /usr

.PHONY: all clean test

all: 2048

test: 2048
	./2048 test

install:
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	cp -p 2048 $(DESTDIR)$(PREFIX)/bin/2048

clean:
	rm -f 2048

=== debian/changelog ===
2048 (0.20221023.1237-1) unstable; urgency=medium

  * New upstream version
  * Update Standards-Version to 4.6.2, no other changes
  * Add patch to fix path in desktop file.
    Thanks to Артём for the original patch. (Closes: #1055327)

 -- Ricardo Mones <mones@debian.org>  Mon, 11 Dec 2023 00:01:42 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Ricardo Mones <mones@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/mevdschee/2048.c
 Vcs-Git: https://salsa.debian.org/games-team/2048.git
 Vcs-Browser: https://salsa.debian.org/games-team/2048

## 2048 1.0.0

=== debian/changelog ===
2048 (1.0.0-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * New upstream version 1.0.0

  [ Ricardo Mones ]
  * Update Standards-Version to 4.7.0, no other changes
  * Add patch to fix traslation in README_es.md
  * Update years range in copyright

 -- Ricardo Mones <mones@debian.org>  Tue, 21 May 2024 15:33:47 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Ricardo Mones <mones@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/mevdschee/2048.c
 Vcs-Git: https://salsa.debian.org/games-team/2048.git
 Vcs-Browser: https://salsa.debian.org/games-team/2048

## 2048 1.0.3

=== debian/changelog ===
2048 (1.0.3-1) unstable; urgency=medium

  * New upstream version
  * Update patch forwarding info
  * Drop patch already included upstream
  * Update Standards-Version to 4.7.2, no other changes

 -- Ricardo Mones <mones@debian.org>  Sun, 13 Apr 2025 21:31:28 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Ricardo Mones <mones@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/mevdschee/2048.c
 Vcs-Git: https://salsa.debian.org/games-team/2048.git
 Vcs-Browser: https://salsa.debian.org/games-team/2048

=== debian/watch ===
# Upstream has not tagged any release yet
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/2048.c-$1\.tar\.gz/ \
  https://github.com/mevdschee/2048.c/tags .*/v?(\d\S+)\.tar\.gz

## 2048 cli-1.0.3

=== Makefile ===
.PHONY: requirements start_new create_venv venv format lint run security

###############################################################################
# COMMANDS                                                                    #
###############################################################################


run: ## Executa o código main
	@python src/main.py


create_venv: ## Cria e ativa um novo ambiente virtual
	@python -m venv .venv --prompt venv
	@source ./.venv/bin/activate


venv: ## Ativa o ambiente virtual
	@source ./.venv/bin/activate


install: ## Instala as dependências do projeto com o Poetry
	@poetry install
	@maturin build --release -o packages
	@pip install packages/*.whl



format: ## Formata os arquivos .py do projeto, seguindo os padrões da PEP 8
	@isort src
	@ruff formar src


lint: ## Realiza uma análise estática
# 	@flake8 src || true
# 	@pydocstyle --add-ignore D100,D107,D104 src || true
	@ruff src || true


security: ## Realiza uma análise de segurança das bibliotecas utilizadas
	@pip-audit || true


.PHONY: help
help: ## Exibe a mensagem de ajuda
	@echo "Utilize: make <comando>"
	@echo "Comandos disponíveis:"
	@echo
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'
